New to Telerik ReportingStart a free 30-day trial

How to Use React Report Viewer with Report Server

This tutorial demonstrates how to add the React Report Viewer component to a new React application and display a report coming from the Telerik Report Server.

Prerequisites

The following list describes the prerequisites for this tutorial:

Using React Report Viewer in React application

Steps:

  1. Create new React application using the Creating a React App tutorial.

    powershell
    npx create-react-app my-app-with-viewer
    cd my-app-with-viewer
  2. Install the @progress/telerik-react-report-viewer NPM package by running:

    powershell
    npm install @progress/telerik-react-report-viewer
  3. Once installed, import the TelerikReportViewer component in the index.js file:

    JSX
    import { TelerikReportViewer } from '@progress/telerik-react-report-viewer'
  4. Add the React Report Viewer to the page:

    JSX
    export function ReportViewer() {
    
    let viewer;
    const reportServer = { url: 'https://localhost:83/', username: 'myusername', password: 'mypass' };
    const reportSource = { report: 'Samples/Dashboard.trdp', parameters: {} };
    const viewerContainerStyle = { position: 'absolute', inset: '5px' };
    
    return (
    	<>
    		<TelerikReportViewer
    			ref={el => viewer = el}
    			reportServer={reportServer}
    			reportSource={reportSource}
    			viewerContainerStyle={viewerContainerStyle}
    			viewMode="INTERACTIVE"
    			scaleMode="SPECIFIC"
    			scale={1.0}
    			enableAccessibility={false} />
    		<button id="refresh-button" onClick={ () => viewer.refreshReport() }>Refresh</button>
    		<button onClick={ () => viewer.commands.print.exec() }>Print</button>
    	</>)
    }
  5. Style the viewer using the desired Kendo UI Sass-Based Theme by adding references to the Sass-based CSS files in the <head> element of public/index.html:

    HTML
    <link href="https://kendo.cdn.telerik.com/themes/12.3.0/default/default-ocean-blue.css" rel="stylesheet" />

    To get the Sass-based Kendo UI themes, you can use either the pre-build CSS files, the Kendo UI CDN, or the NPM packages (Getting the Sass-Based Themes).

  6. Run the application:

    powershell
    npm start

See Also

New to Telerik ReportingStart a free 30-day trial

Integrating the Angular Report Viewer with Report Server

This tutorial demonstrates how to add the Angular Report Viewer component to a new Angular application and display a report coming from the Telerik Report Server.

Prerequisites

The following list describes the prerequisites for this tutorial:

Using Angular Report Viewer in Angular application

Steps:

  1. Create new Angular application using the Angular CLI tutorial.

  2. Install the Telerik Angular Report Viewer NPM package by running:

    powershell
    npm install @progress/telerik-angular-report-viewer

    If you receive a 403 Forbidden Error, you need to register and login at npmjs.com before performing this step.

    powershell
    npm login --registry=https://registry.npmjs.org --scope=@progress
  3. Once installed, import the TelerikReportingModule in your application root module or standalone component:

    TS
    import { TelerikReportingModule } from '@progress/telerik-angular-report-viewer';
    
    @Component({
        selector: 'app-root',
        standalone: true,
        imports: [TelerikReportingModule],
        templateUrl: './app.component.html',
        styleUrl: './app.component.scss'
    })
  4. Add the desired report viewer container styling using a property of the custom component class(in this example - AppComponent):

    TS
    export class AppComponent {
        viewerContainerStyle = {
            position: 'relative',
            width: '1000px',
            height: '800px',
            ['font-family']: 'ms sans serif'
        };
    }
  5. Use the report viewer selector in the AppComponent template:

    HTML
    <tr-viewer
        [containerStyle]="viewerContainerStyle"
        [reportServer]="{
            url: 'http://localhost:83/',
            username: 'myusername',
            password: 'mypass'
        }"
        [reportSource]="{
            report: 'Samples/Dashboard',
            parameters: {}
        }"
        [viewMode]="'INTERACTIVE'"
        [scaleMode]="'SPECIFIC'"
        [scale]="1.0">
     </tr-viewer>

    For all available report viewer options refer to Options.

  6. Style the viewer using the desired Kendo UI Sass-Based Theme by adding references to the Sass-based CSS files in the <head> element of index.html:

    HTML
    <link href="https://kendo.cdn.telerik.com/themes/12.3.0/default/default-ocean-blue.css" rel="stylesheet" />

    To get the Sass-based Kendo UI themes, you can use either the pre-build CSS files or the NPM packages (Getting the Sass-Based Themes).

    If you use the styleUrls attribute to reference the CSS, it is required to set the view encapsulation to None:

    TS
    import { Component, ViewEncapsulation } from '@angular/core';
    
    @Component({
        encapsulation: ViewEncapsulation.None
  7. Run the application:

    powershell
    ng serve

See Also